Package com.usatiuk.dhfs.peertrust

# Class PeerRolesAugmentor

java.lang.Object
com.usatiuk.dhfs.peertrust.PeerRolesAugmentor

All Implemented Interfaces:
  `io.quarkus.security.identity.SecurityIdentityAugmentor`

@ApplicationScoped public class PeerRolesAugmentor extends Object implements io.quarkus.security.identity.SecurityIdentityAugmentor

## Constructor Summary

Constructors
Constructor
Description
`PeerRolesAugmentor()`

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<io.quarkus.security.identity.SecurityIdentity>`
`augment(io.quarkus.security.identity.SecurityIdentity identity, io.quarkus.security.identity.AuthenticationRequestContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.quarkus.security.identity.SecurityIdentityAugmentor

`augment, priority`

## Constructor Details

### PeerRolesAugmentor

public PeerRolesAugmentor()

## Method Details

### augment

public io.smallrye.mutiny.Uni<io.quarkus.security.identity.SecurityIdentity> augment(io.quarkus.security.identity.SecurityIdentity identity, io.quarkus.security.identity.AuthenticationRequestContext context)

Specified by:
  `augment` in interface `io.quarkus.security.identity.SecurityIdentityAugmentor`